#include <iostream>
using namespace std;

// c 语言中可以使用无类型的函数参数 (对照 d7.c)
// C++ 中不允许使用无类型的函数参数
void show(int x)
{
    cout << "x = " << (int)x << endl;
}

int main()
{
    show(20);
    show(15.0);
    return 0;
}